MacWrtProStructuresInternal::Section Struct Reference

Internal: the section of a MacWrtProStructures. More...

## Public Types

enum | StartType { S_Line , S_Page , S_PageLeft , S_PageRight }

## Public Member Functions

| Section ()
| constructor
MWAWSection | getSection () const
| returns a MWAWSection
int | numColumns () const
| return the number of columns

## Public Attributes

StartType | m_start
| the way to start the new section
std::vector< float > | m_colsPos
| the columns position ( series of end columns <-> new column begin)
int | m_headerIds [2]
| the header graphic ids
int | m_footerIds [2]
| the footerer graphic ids
long | m_textLength
| the number of character in the sections
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator<<

## Detailed Description

Internal: the section of a MacWrtProStructures.

## Member Enumeration Documentation

## StartType

enum MacWrtProStructuresInternal::Section::StartType

Enumerator
S_Line |
S_Page |
S_PageLeft |
S_PageRight |

## Constructor & Destructor Documentation

## Section()

MacWrtProStructuresInternal::Section::Section | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## getSection()

MWAWSection MacWrtProStructuresInternal::Section::getSection | ( |  | ) | const

inline

returns a MWAWSection

## numColumns()

int MacWrtProStructuresInternal::Section::numColumns | ( |  | ) | const

inline

return the number of columns

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Section const & | sec )

friend

operator<<

## Member Data Documentation

## m_colsPos

std::vector<float> MacWrtProStructuresInternal::Section::m_colsPos

the columns position ( series of end columns <-> new column begin)

Referenced by getSection(), numColumns(), operator<<, MacWrtProStructures::readSections(), and Section().

## m_extra

std::string MacWrtProStructuresInternal::Section::m_extra

extra data

Referenced by operator<<, MacWrtProStructures::readSections(), and Section().

## m_footerIds

int MacWrtProStructuresInternal::Section::m_footerIds[2]

the footerer graphic ids

Referenced by operator<<, MacWrtProStructures::readSections(), and Section().

## m_headerIds

int MacWrtProStructuresInternal::Section::m_headerIds[2]

the header graphic ids

Referenced by operator<<, MacWrtProStructures::readSections(), and Section().

## m_start

StartType MacWrtProStructuresInternal::Section::m_start

the way to start the new section

Referenced by operator<<, MacWrtProStructures::readSections(), and Section().

## m_textLength

long MacWrtProStructuresInternal::Section::m_textLength

the number of character in the sections

Referenced by operator<<, MacWrtProStructures::readSections(), and Section().

The documentation for this struct was generated from the following file:

- MacWrtProStructures.cxx